org.eclipse.eef.common.api.preferences

## Class EEFCommonPreferences

- java.lang.Object
- - org.eclipse.eef.common.api.preferences.EEFCommonPreferences

    public final class EEFCommonPreferences
    extends java.lang.Object

The preferences of the bundle EEF Common.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isDebugEnabled()` Indicates if the debug mode is enabled.
`static void` `setDebug(boolean isEnabled)` Sets the state of the debug mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isDebugEnabled

    public static boolean isDebugEnabled()

Indicates if the debug mode is enabled.

Returns:
  `true` if it is enabled, `false` otherwise

#### setDebug

    public static void setDebug(boolean isEnabled)

Sets the state of the debug mode.

Parameters:
  `isEnabled` - `true` to activate the debug mode, `false` to deactivate it